Create a LinX Batch

Create a batch of LinX workflows.

Endpoint

POST /v2/linx/workflow-batches

Authorization Header

Authorization: Bearer <access_token>

Request Body

header  REQUIRED

object

Request header. Contains the metadata for the batch.

useTemplate  REQUIRED

object

LinX template to be used for the batch requests. Provide either templateName or templateId.

Note  The template must have an ACTIVE status.

templateName  CONDITIONAL

string

Name of the template. Provide either templateName or templateId.

templateId  CONDITIONAL

string (UUID)

ID of the template. Provide either templateName or templateId.

requestsInBatch  REQUIRED

integer, min value:1, max value:10000

Number of LinX requests to be created by the batch. This number must match the number of entries in payload.batchEntries.

idempotencyKey

string

Idempotency key for the batch. This is a unique string that identifies the request. Can be a v4 UUID or any other unique string with a minimum length of 6 characters and a maximum length of 255 characters.

If an idempotency key is not provided, one will be generated automatically.

payload  REQUIRED

object

Payload for the batch.

batchEntries  REQUIRED

array of objects

LinX workflow requests to be created by the batch. Each entry represents the data needed to create one request. The total number of entries must match the number in header.requestsInBatch.

title  REQUIRED

string

Name for the LinX workflow. This name is used internally and should describe the purpose of the workflow (example: Send refund to John Smith).

expiryInHours

integer

Request expiry period (in hours). The request and link provided to the Customer will expire at this time. If expiryInHours is not provided, the system default value will be used.

customerMemo

string

Introductory text to add to the beginning of the SMS message.

parameters  REQUIRED

object

List of parameters to be used for the workflow. These parameters are based on the LinX template used for the batch.

Note  For details, see Workflow Based on a Template: Required/Optional Parameters.

Returns

Returns the LinX Batch object. This object contains the batch ID and idempotency key.

SAMPLE REQUEST

				
					{
  "header": {
    "useTemplate": {
      "templateName": "Refund"
    },
    "requestsInBatch": 2,
    "idempotencyKey": "27a36bda-1aa6-6582-12ac-c3f287a33c7a"
  },
  "payload": {
    "batchEntries": [
      {
        "title": "Send a refund to John Doe",
        "expiryInHours": 2,
        "customerMemo": "Hi John Doe, this is a refund for your recent order.",
        "parameters": {
          "phoneNumber": "+16471234567"
        }
      },
      {
        "title": "Send a refund to Jane Doe",
        "expiryInHours": 2,
        "customerMemo": "Hi Jane Doe, this is a refund for your recent order.",
        "parameters": {
          "phoneNumber": "+15551231234"
        }
      }
    ]
  }

				
			

SAMPLE RESPONSE

				
					{
  "batchId": "93f1e6dd-5dc7-4660-91cc-5cb949b74c6d",
  "idempotencyKey": "27a36bda-1aa6-6582-12ac-c3f287a33c7a"
}